package com.dst.slms.supplierprofile.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.hibernate.annotations.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.ForeignKey;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import com.dst.slms.common.entity.CoreBaseEntryInfo;
import org.hibernate.annotations.DynamicUpdate;
import com.dst.slms.common.annotation.EntityMeta;
import com.dst.slms.common.annotation.FieldMeta;
import javax.persistence.MappedSuperclass;
/**   
 * @Title: 供应商联系人 Info 对象
 * @Description: 供应商联系人
 * @author 
 * @date 2020-05-03 11:03:28
 * @version V1.0   
 */
@MappedSuperclass
public class AbstractSupplierLinkPersonInfo  extends CoreBaseEntryInfo implements java.io.Serializable {
	
	/**父对象关联*/
	@OneToOne(fetch = FetchType.LAZY)@JoinColumn(name = "FparentId")@NotFound(action=NotFoundAction.IGNORE)@ForeignKey(name="null")
	@FieldMeta(name="父对象关联" )
	private com.dst.slms.supplierprofile.entity.SupplierProfileInfo parent;
	
	/**姓名*/
	@Column(name ="FpersonName")
	@FieldMeta(name="姓名" )
	private java.lang.String personName;
	
	/**职务*/
	@Column(name ="Fposition")
	@FieldMeta(name="职务" )
	private java.lang.String position;
	
	/**手机*/
	@Column(name ="Fphone")
	@FieldMeta(name="手机" )
	private java.lang.String phone;
	
	/**办公室电话*/
	@Column(name ="FworkPhone")
	@FieldMeta(name="办公室电话" )
	private java.lang.String workPhone;
	
	/**传真*/
	@Column(name ="FpersonFax")
	@FieldMeta(name="传真" )
	private java.lang.String personFax;
	
	/**是否为默认联系人*/
	@Column(name ="FIsdefault")
	@FieldMeta(name="是否为默认联系人" ,enumGroupNumber="ISENABLE")
	private java.lang.String Isdefault;
	
	/**邮箱*/
	@Column(name ="Femail")
	@FieldMeta(name="邮箱" )
	private java.lang.String email;
	
	
	/**
	 *方法: 取得com.dst.slms.supplierprofile.entity.SupplierProfileInfo
	 *@return: com.dst.slms.supplierprofile.entity.SupplierProfileInfo  父对象关联
	 */
	public com.dst.slms.supplierprofile.entity.SupplierProfileInfo getParent(){
		return this.parent;
	}

	/**
	 *方法: 设置com.dst.slms.supplierprofile.entity.SupplierProfileInfo
	 *@param: com.dst.slms.supplierprofile.entity.SupplierProfileInfo  父对象关联
	 */
	public void setParent(com.dst.slms.supplierprofile.entity.SupplierProfileInfo parent){
		this.parent = parent;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  姓名
	 */
	public java.lang.String getPersonName(){
		return this.personName;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  姓名
	 */
	public void setPersonName(java.lang.String personName){
		this.personName = personName;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  职务
	 */
	public java.lang.String getPosition(){
		return this.position;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  职务
	 */
	public void setPosition(java.lang.String position){
		this.position = position;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  手机
	 */
	public java.lang.String getPhone(){
		return this.phone;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  手机
	 */
	public void setPhone(java.lang.String phone){
		this.phone = phone;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  办公室电话
	 */
	public java.lang.String getWorkPhone(){
		return this.workPhone;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  办公室电话
	 */
	public void setWorkPhone(java.lang.String workPhone){
		this.workPhone = workPhone;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  传真
	 */
	public java.lang.String getPersonFax(){
		return this.personFax;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  传真
	 */
	public void setPersonFax(java.lang.String personFax){
		this.personFax = personFax;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  是否为默认联系人
	 */
	public java.lang.String getIsdefault(){
		return this.Isdefault;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  是否为默认联系人
	 */
	public void setIsdefault(java.lang.String Isdefault){
		this.Isdefault = Isdefault;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  邮箱
	 */
	public java.lang.String getEmail(){
		return this.email;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  邮箱
	 */
	public void setEmail(java.lang.String email){
		this.email = email;
	}
		
	@Override
	public void setBosType(String bosType) {
		this.bosType = "FCYVMWEK";
	}
}
